Loading...
Searching...
No Matches
casacore::MSHistoryColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSHistoryColumns.h>`

## Public Member Functions

| MSHistoryColumns (const MSHistory &msHistory)
| Create a columns object that accesses the data in the specified Table.
| ~MSHistoryColumns ()
| The destructor does nothing special.
ScalarColumn< String > & | application ()
| Access to required columns.
ArrayColumn< String > & | appParams ()
ArrayColumn< String > & | cliCommand ()
ScalarColumn< String > & | message ()
ScalarColumn< Int > & | objectId ()
ScalarColumn< Int > & | observationId ()
ScalarColumn< String > & | origin ()
ScalarColumn< String > & | priority ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
const ScalarColumn< String > & | application () const
| Const access to required columns.
const ArrayColumn< String > & | appParams () const
const ArrayColumn< String > & | cliCommand () const
const ScalarColumn< String > & | message () const
const ScalarColumn< Int > & | objectId () const
const ScalarColumn< Int > & | observationId () const
const ScalarColumn< String > & | origin () const
const ScalarColumn< String > & | priority () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME column.

## Protected Member Functions

| MSHistoryColumns ()
void | attach (const MSHistory &msHistory)

## Private Member Functions

| MSHistoryColumns (const MSHistoryColumns &)
MSHistoryColumns & | operator= (const MSHistoryColumns &)

## Private Attributes

ScalarColumn< String > | application_p
ArrayColumn< String > | appParams_p
ArrayColumn< String > | cliCommand_p
ScalarColumn< String > | message_p
ScalarColumn< Int > | objectId_p
ScalarColumn< Int > | observationId_p
ScalarColumn< String > | origin_p
ScalarColumn< String > | priority_p
ScalarColumn< Double > | time_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ScalarQuantColumn< Double > | timeQuant_p

## Detailed Description

A class to provide easy access to MSHistory columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSHistory
- ArrayColumn
- ScalarColumn

### Etymology

MSHistoryColumns stands for MeasurementSet History Table columns.

### Synopsis

This class provides access to the columns in the MSHistory Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

Note by GvD 28-Jan-2010: According to note 229 the OBJECTID column should contain Strings. It is, however, defined as Int. It has to be left as such, otherwise older MeasurementSets cannot be read anymore.

### Motivation

See MSColumns for the motivation.

Definition at line 80 of file MSHistoryColumns.h.

## Constructor & Destructor Documentation

## MSHistoryColumns() [1/3]

casacore::MSHistoryColumns::MSHistoryColumns | ( | const MSHistory & | msHistory | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSHistoryColumns(), and operator=().

## ~MSHistoryColumns()

casacore::MSHistoryColumns::~MSHistoryColumns | ( |  | ) |

The destructor does nothing special.

## MSHistoryColumns() [2/3]

casacore::MSHistoryColumns::MSHistoryColumns | ( |  | ) |

protected

## MSHistoryColumns() [3/3]

casacore::MSHistoryColumns::MSHistoryColumns | ( | const MSHistoryColumns & |  | ) |

private

References MSHistoryColumns().

## Member Function Documentation

## application() [1/2]

ScalarColumn< String > & casacore::MSHistoryColumns::application | ( |  | ) |

inline

Access to required columns.

Definition at line 91 of file MSHistoryColumns.h.

References application_p.

## application() [2/2]

const ScalarColumn< String > & casacore::MSHistoryColumns::application | ( |  | ) | const

inline

Const access to required columns.

Definition at line 106 of file MSHistoryColumns.h.

References application_p.

## appParams() [1/2]

ArrayColumn< String > & casacore::MSHistoryColumns::appParams | ( |  | ) |

inline

Definition at line 92 of file MSHistoryColumns.h.

References appParams_p.

## appParams() [2/2]

const ArrayColumn< String > & casacore::MSHistoryColumns::appParams | ( |  | ) | const

inline

Definition at line 107 of file MSHistoryColumns.h.

References appParams_p.

## attach()

void casacore::MSHistoryColumns::attach | ( | const MSHistory & | msHistory | ) |

protected

## cliCommand() [1/2]

ArrayColumn< String > & casacore::MSHistoryColumns::cliCommand | ( |  | ) |

inline

Definition at line 93 of file MSHistoryColumns.h.

References cliCommand_p.

## cliCommand() [2/2]

const ArrayColumn< String > & casacore::MSHistoryColumns::cliCommand | ( |  | ) | const

inline

Definition at line 108 of file MSHistoryColumns.h.

References cliCommand_p.

## message() [1/2]

ScalarColumn< String > & casacore::MSHistoryColumns::message | ( |  | ) |

inline

Definition at line 94 of file MSHistoryColumns.h.

References message_p.

## message() [2/2]

const ScalarColumn< String > & casacore::MSHistoryColumns::message | ( |  | ) | const

inline

Definition at line 109 of file MSHistoryColumns.h.

References message_p.

## nrow()

rownr_t casacore::MSHistoryColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 120 of file MSHistoryColumns.h.

References application_p.

## objectId() [1/2]

ScalarColumn< Int > & casacore::MSHistoryColumns::objectId | ( |  | ) |

inline

Definition at line 95 of file MSHistoryColumns.h.

References objectId_p.

## objectId() [2/2]

const ScalarColumn< Int > & casacore::MSHistoryColumns::objectId | ( |  | ) | const

inline

Definition at line 110 of file MSHistoryColumns.h.

References objectId_p.

## observationId() [1/2]

ScalarColumn< Int > & casacore::MSHistoryColumns::observationId | ( |  | ) |

inline

Definition at line 96 of file MSHistoryColumns.h.

References observationId_p.

## observationId() [2/2]

const ScalarColumn< Int > & casacore::MSHistoryColumns::observationId | ( |  | ) | const

inline

Definition at line 111 of file MSHistoryColumns.h.

References observationId_p.

## operator=()

MSHistoryColumns & casacore::MSHistoryColumns::operator= | ( | const MSHistoryColumns & |  | ) |

private

References MSHistoryColumns().

## origin() [1/2]

ScalarColumn< String > & casacore::MSHistoryColumns::origin | ( |  | ) |

inline

Definition at line 97 of file MSHistoryColumns.h.

References origin_p.

## origin() [2/2]

const ScalarColumn< String > & casacore::MSHistoryColumns::origin | ( |  | ) | const

inline

Definition at line 112 of file MSHistoryColumns.h.

References origin_p.

## priority() [1/2]

ScalarColumn< String > & casacore::MSHistoryColumns::priority | ( |  | ) |

inline

Definition at line 98 of file MSHistoryColumns.h.

References priority_p.

## priority() [2/2]

const ScalarColumn< String > & casacore::MSHistoryColumns::priority | ( |  | ) | const

inline

Definition at line 113 of file MSHistoryColumns.h.

References priority_p.

## setEpochRef()

void casacore::MSHistoryColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME column.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## time() [1/2]

ScalarColumn< Double > & casacore::MSHistoryColumns::time | ( |  | ) |

inline

Definition at line 99 of file MSHistoryColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSHistoryColumns::time | ( |  | ) | const

inline

Definition at line 114 of file MSHistoryColumns.h.

References time_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSHistoryColumns::timeMeas | ( |  | ) |

inline

Definition at line 101 of file MSHistoryColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSHistoryColumns::timeMeas | ( |  | ) | const

inline

Definition at line 116 of file MSHistoryColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSHistoryColumns::timeQuant | ( |  | ) |

inline

Definition at line 100 of file MSHistoryColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSHistoryColumns::timeQuant | ( |  | ) | const

inline

Definition at line 115 of file MSHistoryColumns.h.

References timeQuant_p.

## Member Data Documentation

## application_p

ScalarColumn<String> casacore::MSHistoryColumns::application_p

private

Definition at line 148 of file MSHistoryColumns.h.

Referenced by application(), application(), and nrow().

## appParams_p

ArrayColumn<String> casacore::MSHistoryColumns::appParams_p

private

Definition at line 149 of file MSHistoryColumns.h.

Referenced by appParams(), and appParams().

## cliCommand_p

ArrayColumn<String> casacore::MSHistoryColumns::cliCommand_p

private

Definition at line 150 of file MSHistoryColumns.h.

Referenced by cliCommand(), and cliCommand().

## message_p

ScalarColumn<String> casacore::MSHistoryColumns::message_p

private

Definition at line 151 of file MSHistoryColumns.h.

Referenced by message(), and message().

## objectId_p

ScalarColumn<Int> casacore::MSHistoryColumns::objectId_p

private

Definition at line 152 of file MSHistoryColumns.h.

Referenced by objectId(), and objectId().

## observationId_p

ScalarColumn<Int> casacore::MSHistoryColumns::observationId_p

private

Definition at line 153 of file MSHistoryColumns.h.

Referenced by observationId(), and observationId().

## origin_p

ScalarColumn<String> casacore::MSHistoryColumns::origin_p

private

Definition at line 154 of file MSHistoryColumns.h.

Referenced by origin(), and origin().

## priority_p

ScalarColumn<String> casacore::MSHistoryColumns::priority_p

private

Definition at line 155 of file MSHistoryColumns.h.

Referenced by priority(), and priority().

## time_p

ScalarColumn<Double> casacore::MSHistoryColumns::time_p

private

Definition at line 156 of file MSHistoryColumns.h.

Referenced by time(), and time().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSHistoryColumns::timeMeas_p

private

Definition at line 159 of file MSHistoryColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSHistoryColumns::timeQuant_p

private

Definition at line 162 of file MSHistoryColumns.h.

Referenced by timeQuant(), and timeQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSHistoryColumns.h